"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _express = _interopRequireDefault(require("express"));

var _default = function _default(app) {
  var _process$env = process.env,
      DACE_STATIC = _process$env.DACE_STATIC,
      DACE_PUBLIC_PATH = _process$env.DACE_PUBLIC_PATH,
      DACE_PATH_CLIENT_DIST = _process$env.DACE_PATH_CLIENT_DIST; // 当 publicPath = '/' 需要将编译目录挂载为虚拟目录（本地开发模式）

  if (DACE_PUBLIC_PATH === '/') {
    app.use(_express["default"]["static"](DACE_PATH_CLIENT_DIST));
  }

  if (DACE_STATIC !== '') {
    DACE_STATIC.split(',').map(function (dir) {
      return dir.trim();
    }).forEach(function (dir) {
      // dir 为相对程序启动入口文件的相对目录
      app.use(_express["default"]["static"](dir));
    });
    console.log("set static success, the root directory is ".concat(DACE_STATIC));
  }
};

exports["default"] = _default;
module.exports = exports.default;